petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexDistribute

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeOverlap(DM dm, PetscInt overlap, PetscSF *sf, DM *dmOverlap)

Not Collective Many br

### Input Parameter

| dm | - The non-overlapping distrbuted DMPlex object Many br
| overlap | - The overlap of partitions, 0 is the default Many br

### Output Parameter

| sf | - The PetscSF used for point distribution Many br
| dmOverlap | - The overlapping distributed DMPlex object, or NULL Many br

Note: If the mesh was not distributed, the return value is NULL. Many br

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and Many brDMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function Many brrepresentation on the mesh. Many br

Many br

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMPlexDistributeByFace(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html